﻿using System;

namespace SharpRss.Models
{
	public class FeedItemModel
	{
		public string Id { get; set; }
		public string FeedId { get; set; }
		public bool Read { get; set; }
		public string Type { get; set; }
		public string Title { get; set; }
		public string Description { get; set; }
		public string Link { get; set; }
		public DateTimeOffset LastUpdated { get; set; }
		public DateTimeOffset? PublishingDate { get; set; }
		public string Author { get; set; }
		public string[] Categories { get; set; }
		public string Content { get; set; }
	}
}
