using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using CodeHollow.FeedReader;
using SharpRss.Models;
using ToolQit.Extensions;

namespace SharpRss.Services
{
    /// <summary>
    /// Managing RSS feeds and categories.
    /// </summary>
    public class RssService : IDisposable
    {
        public RssService()
        {
            SetupTestCategoriesAndFeedsAsync();
        }
        private readonly DatabaseService _dbService = new DatabaseService();

        private async void SetupTestCategoriesAndFeedsAsync()
        {
            /*bool result = await _dbService.SetGroupAsync(new GroupModel() { Name = "News" });
            result = await _dbService.SetGroupAsync(new GroupModel() { Name = "Tech" });
            result = await _dbService.SetGroupAsync(new GroupModel() { Name = "Science" });
            result = await _dbService.SetGroupAsync(new GroupModel() { Name = "Test" });*/
            
            /*GroupModel? editGroup = await _dbService.GetGroupsAsync("Test");
            if (editGroup != null)
            {
                bool result2 = await _dbService.RemoveGroupAsync(editGroup);
            }*/
            /*await _dbService.AddCategoriesAsync(new HashSet<CategoryModel>()
            {
                new CategoryModel() { Name = "All" },
                new CategoryModel() { Name = "RSS" },
                new CategoryModel() { Name = "Tech" },
                new CategoryModel() { Name = "News" }
            });
            await _dbService.AddFeedsAsync(new HashSet<FeedModel>()
            {
                new FeedModel("http://fedoramagazine.org/feed/"),
                new FeedModel("https://www.nasa.gov/rss/dyn/breaking_news.rss"),
                new FeedModel("https://journals.plos.org/plosone/feed/atom"),
                new FeedModel("https://itsfoss.com/feed")
            });*/
        }

		public void Dispose()
		{
			_dbService.Dispose();
		}
	}
}